diff --git a/ports/www/chromium/dragonfly/patch-all b/ports/www/chromium/dragonfly/patch-all
index 6ecc716fa2a..7c61c59709b 100644
--- a/ports/www/chromium/dragonfly/patch-all
+++ b/ports/www/chromium/dragonfly/patch-all
@@ -2696,7 +2829,7 @@ index 4aa326e0e46..f3d0db6adf0 100644
  		if (res == -1)
  			return (-1);
 diff --git third_party/libevent/event.h third_party/libevent/event.h
-index f0887b96163..7eb5388c145 100644
+index f4a8b9f72f13..0af59aca0be4 100644
 --- third_party/libevent/event.h
 +++ third_party/libevent/event.h
 @@ -364,6 +364,7 @@ int event_base_set(struct event_base *, struct event *);
@@ -2708,7 +2841,7 @@ index f0887b96163..7eb5388c145 100644
  
  /**
 diff --git third_party/libevent/kqueue.c third_party/libevent/kqueue.c
-index 3c2ffd5524c..a4c67c35009 100644
+index 3c2ffd5524cc..a4c67c35009a 100644
 --- third_party/libevent/kqueue.c
 +++ third_party/libevent/kqueue.c
 @@ -40,6 +40,7 @@
@@ -2741,7 +2874,7 @@ index 3c2ffd5524c..a4c67c35009 100644
  		if (errno != EINTR) {
                          event_warn("kevent");
 diff --git third_party/libphonenumber/dist/cpp/src/phonenumbers/base/memory/singleton.h third_party/libphonenumber/dist/cpp/src/phonenumbers/base/memory/singleton.h
-index f01375cc9db..3df7fc08881 100644
+index f01375cc9dbb..3df7fc088817 100644
 --- third_party/libphonenumber/dist/cpp/src/phonenumbers/base/memory/singleton.h
 +++ third_party/libphonenumber/dist/cpp/src/phonenumbers/base/memory/singleton.h
 @@ -22,7 +22,8 @@
@@ -2755,7 +2888,7 @@ index f01375cc9db..3df7fc08881 100644
  #elif defined(WIN32)
  #include "phonenumbers/base/memory/singleton_win32.h"
 diff --git third_party/libphonenumber/dist/cpp/src/phonenumbers/base/synchronization/lock.h third_party/libphonenumber/dist/cpp/src/phonenumbers/base/synchronization/lock.h
-index fa7f9d8c375..ae02c2fca7d 100644
+index fa7f9d8c375e..ae02c2fca7dd 100644
 --- third_party/libphonenumber/dist/cpp/src/phonenumbers/base/synchronization/lock.h
 +++ third_party/libphonenumber/dist/cpp/src/phonenumbers/base/synchronization/lock.h
 @@ -22,7 +22,8 @@
@@ -2769,7 +2902,7 @@ index fa7f9d8c375..ae02c2fca7d 100644
  #elif defined(WIN32)
  #include "phonenumbers/base/synchronization/lock_win32.h"
 diff --git third_party/libphonenumber/dist/cpp/src/phonenumbers/base/thread_checker.h third_party/libphonenumber/dist/cpp/src/phonenumbers/base/thread_checker.h
-index ba5b99435df..f7bb8a8282f 100644
+index ba5b99435df8..f7bb8a8282f9 100644
 --- third_party/libphonenumber/dist/cpp/src/phonenumbers/base/thread_checker.h
 +++ third_party/libphonenumber/dist/cpp/src/phonenumbers/base/thread_checker.h
 @@ -22,7 +22,8 @@
@@ -2794,7 +2927,7 @@ index ba5b99435df..f7bb8a8282f 100644
  #include <pthread.h>
  
 diff --git third_party/libpng/arm/filter_neon.S third_party/libpng/arm/filter_neon.S
-index 2308aad13e6..df123cd0bbe 100644
+index 2308aad13e63..df123cd0bbef 100644
 --- third_party/libpng/arm/filter_neon.S
 +++ third_party/libpng/arm/filter_neon.S
 @@ -16,7 +16,7 @@
@@ -2807,7 +2940,7 @@ index 2308aad13e6..df123cd0bbe 100644
  #endif
  
 diff --git third_party/libsync/src/sync.c third_party/libsync/src/sync.c
-index cd943d0d66e..aa0887c9405 100644
+index cd943d0d66e4..aa0887c9405e 100644
 --- third_party/libsync/src/sync.c
 +++ third_party/libsync/src/sync.c
 @@ -29,7 +29,7 @@
@@ -2820,10 +2953,10 @@ index cd943d0d66e..aa0887c9405 100644
  typedef __uint32_t __u32;
  typedef __int32_t __s32;
 diff --git third_party/llvm/third-party/benchmark/src/internal_macros.h third_party/llvm/third-party/benchmark/src/internal_macros.h
-index 91f367b894b..0d85af2ba6c 100644
+index f4894ba8e65d..e3c48076cb13 100644
 --- third_party/llvm/third-party/benchmark/src/internal_macros.h
 +++ third_party/llvm/third-party/benchmark/src/internal_macros.h
-@@ -56,6 +56,8 @@
+@@ -63,6 +63,8 @@
        #define BENCHMARK_OS_IOS 1
      #endif
    #endif
@@ -2833,11 +2966,11 @@ index 91f367b894b..0d85af2ba6c 100644
    #define BENCHMARK_OS_FREEBSD 1
  #elif defined(__NetBSD__)
 diff --git third_party/llvm/third-party/benchmark/src/sysinfo.cc third_party/llvm/third-party/benchmark/src/sysinfo.cc
-index d9bd651f8a4..c18d1845d1a 100644
+index 46df973b069a..882f4b356a8a 100644
 --- third_party/llvm/third-party/benchmark/src/sysinfo.cc
 +++ third_party/llvm/third-party/benchmark/src/sysinfo.cc
-@@ -623,6 +623,8 @@ double GetCPUCyclesPerSecond(CPUInfo::Scaling scaling) {
-   constexpr auto* FreqStr =
+@@ -733,6 +733,8 @@ double GetCPUCyclesPerSecond(CPUInfo::Scaling scaling) {
+   constexpr auto* freqStr =
  #if defined(BENCHMARK_OS_FREEBSD) || defined(BENCHMARK_OS_NETBSD)
        "machdep.tsc_freq";
 +#elif defined BENCHMARK_OS_DRAGONFLY
@@ -2845,16 +2978,8 @@ index d9bd651f8a4..c18d1845d1a 100644
  #elif defined BENCHMARK_OS_OPENBSD
        "hw.cpuspeed";
  #elif defined BENCHMARK_OS_DRAGONFLY
-@@ -695,6 +697,7 @@ std::vector<double> GetLoadAvg() {
-      defined BENCHMARK_OS_MACOSX || defined BENCHMARK_OS_NETBSD ||      \
-      defined BENCHMARK_OS_OPENBSD || defined BENCHMARK_OS_DRAGONFLY) && \
-     !defined(__ANDROID__)
-+fo.cc
-   constexpr int kMaxSamples = 3;
-   std::vector<double> res(kMaxSamples, 0.0);
-   const int nelem = getloadavg(res.data(), kMaxSamples);
 diff --git third_party/llvm/third-party/benchmark/src/timers.cc third_party/llvm/third-party/benchmark/src/timers.cc
-index 21d3db20da9..cfc0c9557b8 100644
+index 667e7b2eef3c..ddd66d74e4b2 100644
 --- third_party/llvm/third-party/benchmark/src/timers.cc
 +++ third_party/llvm/third-party/benchmark/src/timers.cc
 @@ -31,6 +31,7 @@
@@ -2866,7 +2991,7 @@ index 21d3db20da9..cfc0c9557b8 100644
  #endif
  #if defined(BENCHMARK_OS_MACOSX)
 diff --git third_party/lzma_sdk/C/CpuArch.c third_party/lzma_sdk/C/CpuArch.c
-index d848ac199b7..59aac42a131 100644
+index d848ac199b77..59aac42a131e 100644
 --- third_party/lzma_sdk/C/CpuArch.c
 +++ third_party/lzma_sdk/C/CpuArch.c
 @@ -445,7 +445,7 @@ MY_HWCAP_CHECK_FUNC (AES)
@@ -2879,10 +3004,10 @@ index d848ac199b7..59aac42a131 100644
  #endif // !defined(ARMV8_OS_FUCHSIA)
  
 diff --git third_party/node/node.py third_party/node/node.py
-index cb330c2d2ba..47154fe513a 100755
+index 17a7633dbc5b..00593cc639d1 100755
 --- third_party/node/node.py
 +++ third_party/node/node.py
-@@ -18,6 +18,7 @@ def GetBinaryPath():
+@@ -22,6 +22,7 @@ def GetBinaryPath():
      'Linux': ('linux', 'node-linux-x64', 'bin', 'node'),
      'OpenBSD': ('openbsd', 'node-openbsd', 'bin', 'node'),
      'FreeBSD': ('freebsd', 'node-freebsd', 'bin', 'node'),
@@ -2891,10 +3016,10 @@ index cb330c2d2ba..47154fe513a 100755
    }[platform.system()])
  
 diff --git third_party/pdfium/fxjs/fx_date_helpers.cpp third_party/pdfium/fxjs/fx_date_helpers.cpp
-index 91d7acd730f..7f54eefab13 100644
+index a99d45e9afc3..52ea529ba749 100644
 --- third_party/pdfium/fxjs/fx_date_helpers.cpp
 +++ third_party/pdfium/fxjs/fx_date_helpers.cpp
-@@ -37,7 +37,7 @@ double GetLocalTZA() {
+@@ -39,7 +39,7 @@ double GetLocalTZA() {
      return 0;
    time_t t = 0;
    FXSYS_time(&t);
@@ -2903,7 +3028,7 @@ index 91d7acd730f..7f54eefab13 100644
    struct tm lt;
    localtime_r(&t, &lt);
    return (double)(-(lt.tm_gmtoff * 1000));
-@@ -50,7 +50,7 @@ double GetLocalTZA() {
+@@ -52,7 +52,7 @@ double GetLocalTZA() {
    _get_timezone(&timezone);
  #endif
    return (double)(-(timezone * 1000));
@@ -2913,19 +3038,19 @@ index 91d7acd730f..7f54eefab13 100644
  
  int GetDaylightSavingTA(double d) {
 diff --git third_party/pdfium/fxjs/js_define.cpp third_party/pdfium/fxjs/js_define.cpp
-index b19c2e2054c..15251b3c023 100644
+index 7a89c9c43ad3..c041db60c9a7 100644
 --- third_party/pdfium/fxjs/js_define.cpp
 +++ third_party/pdfium/fxjs/js_define.cpp
-@@ -16,6 +16,7 @@
- #include "core/fxcrt/fx_extension.h"
+@@ -17,6 +17,7 @@
+ #include "core/fxcrt/span.h"
  #include "fxjs/cjs_document.h"
  #include "fxjs/cjs_object.h"
 +
  #include "fxjs/fx_date_helpers.h"
  #include "fxjs/fxv8.h"
- #include "third_party/base/check.h"
+ #include "v8/include/v8-context.h"
 diff --git third_party/perfetto/include/perfetto/base/build_config.h third_party/perfetto/include/perfetto/base/build_config.h
-index fcb609d27a3..3fa1838c258 100644
+index e090b303859f..1378f4ce2fde 100644
 --- third_party/perfetto/include/perfetto/base/build_config.h
 +++ third_party/perfetto/include/perfetto/base/build_config.h
 @@ -53,7 +53,7 @@
@@ -2962,10 +3087,10 @@ index fcb609d27a3..3fa1838c258 100644
  #define PERFETTO_BUILDFLAG_DEFINE_PERFETTO_OS_WASM() 0
  #define PERFETTO_BUILDFLAG_DEFINE_PERFETTO_OS_FUCHSIA() 1
 diff --git third_party/perfetto/include/perfetto/base/time.h third_party/perfetto/include/perfetto/base/time.h
-index 18c30bdd298..dd9b64a669a 100644
+index 2bf6b9aa47ae..4bb43a514d79 100644
 --- third_party/perfetto/include/perfetto/base/time.h
 +++ third_party/perfetto/include/perfetto/base/time.h
-@@ -167,7 +167,7 @@ inline TimeNanos GetTimeInternalNs(clockid_t clk_id) {
+@@ -199,7 +199,7 @@ inline TimeNanos GetTimeInternalNs(clockid_t clk_id) {
  // Return ns from boot. Conversely to GetWallTimeNs, this clock counts also time
  // during suspend (when supported).
  inline TimeNanos GetBootTimeNs() {
@@ -2974,7 +3099,7 @@ index 18c30bdd298..dd9b64a669a 100644
    return GetTimeInternalNs(kWallTimeClockSource);
  #else
    // Determine if CLOCK_BOOTTIME is available on the first call.
-@@ -187,7 +187,7 @@ inline TimeNanos GetWallTimeNs() {
+@@ -219,7 +219,7 @@ inline TimeNanos GetWallTimeNs() {
  inline TimeNanos GetWallTimeRawNs() {
  #if defined(__OpenBSD__)
    return GetTimeInternalNs(CLOCK_MONOTONIC);
@@ -2984,7 +3109,7 @@ index 18c30bdd298..dd9b64a669a 100644
  #else
    return GetTimeInternalNs(CLOCK_MONOTONIC_RAW);
 diff --git third_party/perfetto/src/base/file_utils.cc third_party/perfetto/src/base/file_utils.cc
-index 0969515e67d..f518323c298 100644
+index a1fa238472a5..c2c06a16e2e0 100644
 --- third_party/perfetto/src/base/file_utils.cc
 +++ third_party/perfetto/src/base/file_utils.cc
 @@ -205,7 +205,8 @@ bool FlushFile(int fd) {
@@ -2998,7 +3123,7 @@ index 0969515e67d..f518323c298 100644
  #else
    return !PERFETTO_EINTR(fsync(fd));
 diff --git third_party/perfetto/src/base/unix_socket.cc third_party/perfetto/src/base/unix_socket.cc
-index 76a91369de9..1e9f4d834a2 100644
+index 76a91369de95..1e9f4d834a24 100644
 --- third_party/perfetto/src/base/unix_socket.cc
 +++ third_party/perfetto/src/base/unix_socket.cc
 @@ -44,7 +44,7 @@
@@ -3019,31 +3144,8 @@ index 76a91369de9..1e9f4d834a2 100644
      PERFETTO_BUILDFLAG(PERFETTO_OS_ANDROID)
  #if PERFETTO_BUILDFLAG(PERFETTO_OS_BSD)
    struct sockpeercred user_cred;
-diff --git third_party/skia/src/base/SkContainers.cpp third_party/skia/src/base/SkContainers.cpp
-index e499a96a509..642af367a67 100644
---- third_party/skia/src/base/SkContainers.cpp
-+++ third_party/skia/src/base/SkContainers.cpp
-@@ -14,7 +14,8 @@
- 
- #if defined(SK_BUILD_FOR_MAC) || defined(SK_BUILD_FOR_IOS)
- #include <malloc/malloc.h>
--#elif defined(SK_BUILD_FOR_ANDROID) || defined(SK_BUILD_FOR_UNIX) && !defined(__OpenBSD__)
-+#elif defined(SK_BUILD_FOR_ANDROID) || defined(SK_BUILD_FOR_UNIX) && \
-+  !defined(__OpenBSD__) && !defined(__DragonFly__)
- #include <malloc.h>
- #elif defined(SK_BUILD_FOR_WIN)
- #include <malloc.h>
-@@ -38,7 +39,7 @@ SkSpan<std::byte> complete_size(void* ptr, size_t size) {
-     #elif defined(SK_BUILD_FOR_ANDROID) && __ANDROID_API__ >= 17
-         completeSize = malloc_usable_size(ptr);
-         SkASSERT(completeSize >= size);
--    #elif defined(SK_BUILD_FOR_UNIX) && !defined(__OpenBSD__)
-+    #elif defined(SK_BUILD_FOR_UNIX) && !defined(__OpenBSD__) && !defined(__DragonFly__)
-         completeSize = malloc_usable_size(ptr);
-         SkASSERT(completeSize >= size);
-     #elif defined(SK_BUILD_FOR_WIN)
 diff --git third_party/sqlite/BUILD.gn third_party/sqlite/BUILD.gn
-index ecbabc935d3..1d788ff7610 100644
+index 3aac35efdabb..49228e83f789 100644
 --- third_party/sqlite/BUILD.gn
 +++ third_party/sqlite/BUILD.gn
 @@ -198,7 +198,7 @@ component("chromium_sqlite3") {
@@ -3055,8 +3157,22 @@ index ecbabc935d3..1d788ff7610 100644
      ]
    }
  
+diff --git third_party/sqlite/src/amalgamation/sqlite3.c third_party/sqlite/src/amalgamation/sqlite3.c
+index 6bf7cecc94ec..fbe5412740b1 100644
+--- third_party/sqlite/src/amalgamation/sqlite3.c
++++ third_party/sqlite/src/amalgamation/sqlite3.c
+@@ -14119,7 +14119,8 @@ struct fts5_api {
+ ** But _XOPEN_SOURCE define causes problems for Mac OS X, so omit
+ ** it.
+ */
+-#if !defined(_XOPEN_SOURCE) && !defined(__DARWIN__) && !defined(__APPLE__) && !defined(__FreeBSD__)
++#if !defined(_XOPEN_SOURCE) && !defined(__DARWIN__) && !defined(__APPLE__) && !defined(__FreeBSD__) && \
++    !defined(__DragonFly__)
+ #  define _XOPEN_SOURCE 600
+ #endif
+ 
 diff --git third_party/swiftshader/src/Reactor/Debug.cpp third_party/swiftshader/src/Reactor/Debug.cpp
-index d4c16fc2f0e..95ecfa2d589 100644
+index 96695d65c7f8..911330ef49ee 100644
 --- third_party/swiftshader/src/Reactor/Debug.cpp
 +++ third_party/swiftshader/src/Reactor/Debug.cpp
 @@ -46,7 +46,8 @@ namespace {
@@ -3070,7 +3186,7 @@ index d4c16fc2f0e..95ecfa2d589 100644
  	static bool res = false;
  
 diff --git third_party/swiftshader/src/System/Configurator.cpp third_party/swiftshader/src/System/Configurator.cpp
-index 62a9b7eef36..fb34f5da1bd 100644
+index 62a9b7eef361..fb34f5da1bd8 100644
 --- third_party/swiftshader/src/System/Configurator.cpp
 +++ third_party/swiftshader/src/System/Configurator.cpp
 @@ -38,7 +38,7 @@ namespace sw {
@@ -3083,7 +3199,7 @@ index 62a9b7eef36..fb34f5da1bd 100644
  #endif
  	std::fstream file(filePath, std::ios::in);
 diff --git third_party/swiftshader/third_party/llvm-subzero/build/Linux/include/llvm/Config/config.h third_party/swiftshader/third_party/llvm-subzero/build/Linux/include/llvm/Config/config.h
-index f9a45cee2c7..346f9f7bdf7 100644
+index f9a45cee2c76..346f9f7bdf78 100644
 --- third_party/swiftshader/third_party/llvm-subzero/build/Linux/include/llvm/Config/config.h
 +++ third_party/swiftshader/third_party/llvm-subzero/build/Linux/include/llvm/Config/config.h
 @@ -5,6 +5,7 @@
@@ -3095,7 +3211,7 @@ index f9a45cee2c7..346f9f7bdf7 100644
  #define BUG_REPORT_URL "http://llvm.org/bugs/"
  
 diff --git third_party/swiftshader/third_party/marl/src/memory.cpp third_party/swiftshader/third_party/marl/src/memory.cpp
-index abecf15baf3..91c3f689c6d 100644
+index abecf15baf31..91c3f689c6d8 100644
 --- third_party/swiftshader/third_party/marl/src/memory.cpp
 +++ third_party/swiftshader/third_party/marl/src/memory.cpp
 @@ -19,7 +19,8 @@
@@ -3109,7 +3225,7 @@ index abecf15baf3..91c3f689c6d 100644
  #include <unistd.h>
  namespace {
 diff --git third_party/swiftshader/third_party/marl/src/thread.cpp third_party/swiftshader/third_party/marl/src/thread.cpp
-index b87ab0b41bb..46525bc2367 100644
+index b87ab0b41bbb..46525bc23678 100644
 --- third_party/swiftshader/third_party/marl/src/thread.cpp
 +++ third_party/swiftshader/third_party/marl/src/thread.cpp
 @@ -36,7 +36,7 @@
@@ -3131,10 +3247,10 @@ index b87ab0b41bb..46525bc2367 100644
  #elif !defined(__Fuchsia__) && !defined(__EMSCRIPTEN__) && !defined(__OpenBSD__) && !defined(__FreeBSD__)
    pthread_setname_np(pthread_self(), name);
 diff --git third_party/unrar/src/os.hpp third_party/unrar/src/os.hpp
-index 51d547b0f68..080f1cbc8a9 100644
+index 278e3c923f32..e54444229e34 100644
 --- third_party/unrar/src/os.hpp
 +++ third_party/unrar/src/os.hpp
-@@ -177,7 +177,7 @@
+@@ -178,7 +178,7 @@
  #define SAVE_LINKS
  #endif
  
@@ -3143,11 +3259,11 @@ index 51d547b0f68..080f1cbc8a9 100644
  #include <sys/time.h>
  #define USE_LUTIMES
  #endif
-diff --git third_party/vulkan-deps/vulkan-loader/src/loader/vk_loader_platform.h third_party/vulkan-deps/vulkan-loader/src/loader/vk_loader_platform.h
-index 7af8d4af54b..8e7d9403e83 100644
---- third_party/vulkan-deps/vulkan-loader/src/loader/vk_loader_platform.h
-+++ third_party/vulkan-deps/vulkan-loader/src/loader/vk_loader_platform.h
-@@ -24,7 +24,7 @@
+diff --git third_party/vulkan-loader/src/loader/vk_loader_platform.h third_party/vulkan-loader/src/loader/vk_loader_platform.h
+index 671a0f2eae44..61ace9139bc1 100644
+--- third_party/vulkan-loader/src/loader/vk_loader_platform.h
++++ third_party/vulkan-loader/src/loader/vk_loader_platform.h
+@@ -26,7 +26,7 @@
   */
  #pragma once
  
@@ -3156,7 +3272,7 @@ index 7af8d4af54b..8e7d9403e83 100644
  #include <sys/types.h>
  #include <sys/select.h>
  #endif
-@@ -291,7 +291,7 @@ static inline char *loader_platform_executable_path(char *buffer, size_t size) {
+@@ -306,7 +306,7 @@ static inline char *loader_platform_executable_path(char *buffer, size_t size) {
      return buffer;
  }
  #endif
@@ -3165,8 +3281,21 @@ index 7af8d4af54b..8e7d9403e83 100644
  #include <sys/sysctl.h>
  static inline char *loader_platform_executable_path(char *buffer, size_t size) {
      int mib[] = {
+diff --git third_party/vulkan-validation-layers/src/layers/vulkan/generated/vk_function_pointers.cpp third_party/vulkan-validation-layers/src/layers/vulkan/generated/vk_function_pointers.cpp
+index 4f679c0e00ac..24912bc6377b 100644
+--- third_party/vulkan-validation-layers/src/layers/vulkan/generated/vk_function_pointers.cpp
++++ third_party/vulkan-validation-layers/src/layers/vulkan/generated/vk_function_pointers.cpp
+@@ -53,7 +53,7 @@ static void *get_proc_address(dl_handle library, const char *name) {
+     assert(name);
+     return (void *)GetProcAddress(library, name);
+ }
+-#elif defined(__linux__) || defined(__APPLE__) || defined(__FreeBSD__) || defined(__OpenBSD__) || defined(__QNX__) || defined(__GNU__)
++#elif defined(__linux__) || defined(__APPLE__) || defined(__FreeBSD__) || defined(__OpenBSD__) || defined(__QNX__) || defined(__GNU__) || defined(__DragonFly__)
+ 
+ #include <dlfcn.h>
+ 
 diff --git third_party/vulkan_memory_allocator/include/vk_mem_alloc.h third_party/vulkan_memory_allocator/include/vk_mem_alloc.h
-index 2bf9b127d8f..8b6f744f08b 100644
+index 2bf9b127d8f6..8b6f744f08b5 100644
 --- third_party/vulkan_memory_allocator/include/vk_mem_alloc.h
 +++ third_party/vulkan_memory_allocator/include/vk_mem_alloc.h
 @@ -2760,7 +2760,7 @@ void* vma_aligned_alloc(size_t alignment, size_t size)
@@ -3179,7 +3308,7 @@ index 2bf9b127d8f..8b6f744f08b 100644
  
  #if defined(__APPLE__)
 diff --git third_party/wayland/include/config.h third_party/wayland/include/config.h
-index 79fcbb81ce2..83dd42cfb9c 100644
+index 79fcbb81ce2c..83dd42cfb9c4 100644
 --- third_party/wayland/include/config.h
 +++ third_party/wayland/include/config.h
 @@ -32,7 +32,7 @@
@@ -3192,7 +3321,7 @@ index 79fcbb81ce2..83dd42cfb9c 100644
  #else
  #undef HAVE_SYS_UCRED_H
 diff --git third_party/wayland/src/src/wayland-os.c third_party/wayland/src/src/wayland-os.c
-index a9066cae9c9..4cf99b61dbd 100644
+index a9066cae9c93..4cf99b61dbdc 100644
 --- third_party/wayland/src/src/wayland-os.c
 +++ third_party/wayland/src/src/wayland-os.c
 @@ -79,7 +79,7 @@ wl_os_socket_cloexec(int domain, int type, int protocol)
@@ -3217,20 +3346,20 @@ index a9066cae9c9..4cf99b61dbd 100644
  	*gid = ucred.cr_gid;
  #if HAVE_XUCRED_CR_PID
 diff --git third_party/zlib/contrib/minizip/ioapi.h third_party/zlib/contrib/minizip/ioapi.h
-index 8dcbdb06e35..7d733c043f0 100644
+index a2d2e6e60d92..1745a1e74e30 100644
 --- third_party/zlib/contrib/minizip/ioapi.h
 +++ third_party/zlib/contrib/minizip/ioapi.h
 @@ -50,7 +50,7 @@
  #define ftello64 ftell
  #define fseeko64 fseek
  #else
--#ifdef __FreeBSD__
-+#if defined(__FreeBSD__) || defined(__DragonFly__)
+-#if defined(__FreeBSD__) || defined(__OpenBSD__) || defined(__NetBSD__) || defined(__HAIKU__) || defined(MINIZIP_FOPEN_NO_64)
++#if defined(__FreeBSD__) || defined(__OpenBSD__) || defined(__NetBSD__) || defined(__DragonFly__) || defined(__HAIKU__) || defined(MINIZIP_FOPEN_NO_64)
  #define fopen64 fopen
  #define ftello64 ftello
  #define fseeko64 fseeko
 diff --git tools/gn/bootstrap/bootstrap.py tools/gn/bootstrap/bootstrap.py
-index caf736b2894..e0134049092 100755
+index b721e79a205e..81096fb2befd 100755
 --- tools/gn/bootstrap/bootstrap.py
 +++ tools/gn/bootstrap/bootstrap.py
 @@ -29,7 +29,6 @@ BOOTSTRAP_DIR = os.path.dirname(os.path.abspath(__file__))
@@ -3242,7 +3371,7 @@ index caf736b2894..e0134049092 100755
    parser = optparse.OptionParser(description=sys.modules[__name__].__doc__)
    parser.add_option(
 diff --git tools/gn/build/gen.py tools/gn/build/gen.py
-index 309ac63298d..9f85204acbb 100755
+index 88ca880a8111..4350a33e49fe 100755
 --- tools/gn/build/gen.py
 +++ tools/gn/build/gen.py
 @@ -51,6 +51,8 @@ class Platform(object):
@@ -3276,7 +3405,7 @@ index 309ac63298d..9f85204acbb 100755
  
    def is_zos(self):
      return self._platform == 'zos'
-@@ -293,6 +298,7 @@ def WriteGenericNinja(path, static_libraries, executables,
+@@ -309,6 +314,7 @@ def WriteGenericNinja(path, static_libraries, executables,
        'darwin': 'build_mac.ninja.template',
        'linux': 'build_linux.ninja.template',
        'freebsd': 'build_linux.ninja.template',
@@ -3285,7 +3414,7 @@ index 309ac63298d..9f85204acbb 100755
        'openbsd': 'build_linux.ninja.template',
        'haiku': 'build_haiku.ninja.template',
 diff --git tools/gn/src/base/files/file_posix.cc tools/gn/src/base/files/file_posix.cc
-index 3d2436ec0da..97d0008d411 100644
+index e4fccce0b7dc..a43555b7efa9 100644
 --- tools/gn/src/base/files/file_posix.cc
 +++ tools/gn/src/base/files/file_posix.cc
 @@ -371,7 +371,7 @@ void File::DoInitialize(const FilePath& path, uint32_t flags) {
@@ -3298,7 +3427,7 @@ index 3d2436ec0da..97d0008d411 100644
  #else
    return !HANDLE_EINTR(fsync(file_.get()));
 diff --git tools/gn/src/gn/args.cc tools/gn/src/gn/args.cc
-index 6b5d25f36c9..dc6b93c8ecb 100644
+index 6b5d25f36c98..dc6b93c8ecb0 100644
 --- tools/gn/src/gn/args.cc
 +++ tools/gn/src/gn/args.cc
 @@ -316,6 +316,8 @@ void Args::SetSystemVarsLocked(Scope* dest) const {
@@ -3311,21 +3440,21 @@ index 6b5d25f36c9..dc6b93c8ecb 100644
    os = "freebsd";
  #elif defined(OS_AIX)
 diff --git tools/gn/src/gn/format_test_data/016.gn tools/gn/src/gn/format_test_data/016.gn
-index 00a79922828..e0e08f864c5 100644
+index 00a79922828f..e0e08f864c54 100644
 --- tools/gn/src/gn/format_test_data/016.gn
 +++ tools/gn/src/gn/format_test_data/016.gn
 @@ -1 +1 @@
 -something = !is_win && is_linux || is_mac && !(is_freebsd || is_ios)
 +something = !is_win && is_linux || is_mac && !(is_freebsd || is_ios || is_dragonfly)
 diff --git tools/gn/src/gn/format_test_data/016.golden tools/gn/src/gn/format_test_data/016.golden
-index 3f4f15bc507..e9610a0be38 100644
+index 3f4f15bc5077..e9610a0be38c 100644
 --- tools/gn/src/gn/format_test_data/016.golden
 +++ tools/gn/src/gn/format_test_data/016.golden
 @@ -1 +1 @@
 -something = (!is_win && is_linux) || (is_mac && !(is_freebsd || is_ios))
 +something = (!is_win && is_linux) || (is_mac && !(is_freebsd || is_ios || is_dragonfly))
 diff --git tools/gn/src/util/build_config.h tools/gn/src/util/build_config.h
-index 668518ba44f..c682566a0da 100644
+index 52c4f2105e6c..ca524c1cc30a 100644
 --- tools/gn/src/util/build_config.h
 +++ tools/gn/src/util/build_config.h
 @@ -46,6 +46,8 @@
@@ -3350,14 +3479,14 @@ index 668518ba44f..c682566a0da 100644
 @@ -77,7 +80,7 @@
      defined(OS_FREEBSD) || defined(OS_LINUX) || defined(OS_MACOSX) || \
      defined(OS_NACL) || defined(OS_NETBSD) || defined(OS_OPENBSD) ||  \
-     defined(OS_QNX) || defined(OS_SOLARIS) || defined(OS_HAIKU) || \
+     defined(OS_QNX) || defined(OS_SOLARIS) || defined(OS_HAIKU) ||    \
 -    defined(OS_MSYS) || defined(OS_ZOS) || defined(OS_SERENITY)
 +    defined(OS_MSYS) || defined(OS_ZOS) || defined(OS_SERENITY) || defined(OS_DRAGONFLY)
  #define OS_POSIX 1
  #endif
  
 diff --git tools/gn/src/util/exe_path.cc tools/gn/src/util/exe_path.cc
-index e9b44443954..9aa6b614866 100644
+index b5c5f85277bb..3252d8eae6ed 100644
 --- tools/gn/src/util/exe_path.cc
 +++ tools/gn/src/util/exe_path.cc
 @@ -15,7 +15,7 @@
@@ -3379,10 +3508,10 @@ index e9b44443954..9aa6b614866 100644
  base::FilePath GetExePath() {
    int mib[] = {CTL_KERN, KERN_PROC, KERN_PROC_PATHNAME, -1};
 diff --git tools/grit/grit/node/base.py tools/grit/grit/node/base.py
-index 319ad95b4f3..ff5fb6119e2 100644
+index 5923e3f6a8ef..93eff15b1c43 100644
 --- tools/grit/grit/node/base.py
 +++ tools/grit/grit/node/base.py
-@@ -512,11 +512,12 @@ class Node:
+@@ -513,11 +513,12 @@ class Node:
        elif name == 'is_fuchsia':
          value = target_platform == 'fuchsia'
        elif name == 'is_bsd':
@@ -3399,7 +3528,7 @@ index 319ad95b4f3..ff5fb6119e2 100644
        elif name == 'pp_ifdef':
          def pp_ifdef(symbol):
 diff --git tools/variations/fieldtrial_to_struct.py tools/variations/fieldtrial_to_struct.py
-index 0044c58611b..88e7aa8d785 100755
+index 872083e1cbcc..afaae404bdfa 100755
 --- tools/variations/fieldtrial_to_struct.py
 +++ tools/variations/fieldtrial_to_struct.py
 @@ -43,6 +43,7 @@ _platforms = [
@@ -3411,12 +3540,12 @@ index 0044c58611b..88e7aa8d785 100755
  
  _form_factors = [
 diff --git ui/base/x/x11_util.cc ui/base/x/x11_util.cc
-index 8743c881033..81e88e50939 100644
+index 2e02be4ee245..4c41280b6384 100644
 --- ui/base/x/x11_util.cc
 +++ ui/base/x/x11_util.cc
-@@ -51,7 +51,7 @@
+@@ -48,7 +48,7 @@
+ #include "ui/gfx/x/shm.h"
  #include "ui/gfx/x/xproto.h"
- #include "ui/gfx/x/xproto_util.h"
  
 -#if BUILDFLAG(IS_FREEBSD)
 +#if BUILDFLAG(IS_FREEBSD) || BUILDFLAG(IS_DRAGONFLY)
@@ -3424,10 +3553,10 @@ index 8743c881033..81e88e50939 100644
  #include <sys/types.h>
  #endif
 diff --git ui/events/keycodes/dom/keycode_converter.cc ui/events/keycodes/dom/keycode_converter.cc
-index 0f84130178d..3efb236cac4 100644
+index 22695e340af5..73f69f900488 100644
 --- ui/events/keycodes/dom/keycode_converter.cc
 +++ ui/events/keycodes/dom/keycode_converter.cc
-@@ -11,7 +11,8 @@
+@@ -13,7 +13,8 @@
  #include "ui/events/keycodes/dom/dom_code.h"
  #include "ui/events/keycodes/dom/dom_key.h"
  
@@ -3437,9 +3566,9 @@ index 0f84130178d..3efb236cac4 100644
  #include <linux/input.h>
  #endif
  
-@@ -58,7 +59,8 @@ struct DomKeyMapEntry {
- #undef DOM_KEY_MAP
+@@ -65,7 +66,8 @@ struct DomKeyMapEntry {
  #undef DOM_KEY_UNI
+ #undef DOM_KEY_MAP_DECLARATION_END
  
 -#if BUILDFLAG(IS_LINUX) || BUILDFLAG(IS_CHROMEOS) || BUILDFLAG(IS_FREEBSD)
 +#if BUILDFLAG(IS_LINUX) || BUILDFLAG(IS_CHROMEOS) || BUILDFLAG(IS_FREEBSD) || \
@@ -3447,7 +3576,7 @@ index 0f84130178d..3efb236cac4 100644
  
  // The offset between XKB Keycode and evdev code.
  constexpr int kXkbKeycodeOffset = 8;
-@@ -139,7 +141,8 @@ int KeycodeConverter::DomCodeToNativeKeycode(DomCode code) {
+@@ -186,7 +188,8 @@ int KeycodeConverter::DomCodeToNativeKeycode(DomCode code) {
    return UsbKeycodeToNativeKeycode(static_cast<uint32_t>(code));
  }
  
@@ -3458,7 +3587,7 @@ index 0f84130178d..3efb236cac4 100644
  DomCode KeycodeConverter::XkbKeycodeToDomCode(uint32_t xkb_keycode) {
    // Currently XKB keycode is the native keycode.
 diff --git ui/events/keycodes/dom/keycode_converter.h ui/events/keycodes/dom/keycode_converter.h
-index f6934f2ef29..9833f6bf3c5 100644
+index 80f86f4ad686..5634bbefa1b8 100644
 --- ui/events/keycodes/dom/keycode_converter.h
 +++ ui/events/keycodes/dom/keycode_converter.h
 @@ -64,7 +64,8 @@ class KeycodeConverter {
@@ -3472,10 +3601,10 @@ index f6934f2ef29..9833f6bf3c5 100644
    static DomCode XkbKeycodeToDomCode(uint32_t xkb_keycode);
  
 diff --git ui/ozone/platform/wayland/host/zwp_text_input_wrapper_v1.cc ui/ozone/platform/wayland/host/zwp_text_input_wrapper_v1.cc
-index 1476a0d880d..c8c5f9f6ed2 100644
+index 88f8f7894c92..03d29cf99d20 100644
 --- ui/ozone/platform/wayland/host/zwp_text_input_wrapper_v1.cc
 +++ ui/ozone/platform/wayland/host/zwp_text_input_wrapper_v1.cc
-@@ -226,7 +226,7 @@ void ZWPTextInputWrapperV1::SetSurroundingText(
+@@ -256,7 +256,7 @@ void ZWPTextInputWrapperV1::SetSurroundingText(
    // so if it exceeds 16 bits, it may be broken.
    static constexpr size_t kSizeLimit = 60000;
    if (HasAdvancedSurroundingTextSupport() && text.length() > kSizeLimit) {
@@ -3485,21 +3614,10 @@ index 1476a0d880d..c8c5f9f6ed2 100644
      return;
  #else
 diff --git v8/BUILD.gn v8/BUILD.gn
-index 54b64cc2664..d7824649a1b 100644
+index 608199c033cf..2a9bf14faab1 100644
 --- v8/BUILD.gn
 +++ v8/BUILD.gn
-@@ -1433,6 +1433,10 @@ config("toolchain") {
-     defines += [ "V8_HAVE_TARGET_OS" ]
-     defines += [ "V8_TARGET_OS_FREEBSD" ]
-     defines += [ "V8_TARGET_OS_BSD" ]
-+  } else if (target_os == "dragonfly") {
-+    defines += [ "V8_HAVE_TARGET_OS" ]
-+    defines += [ "V8_TARGET_OS_FREEBSD" ]
-+    defines += [ "V8_TARGET_OS_BSD" ]
-   }
- 
-   # TODO(infra): Support v8_enable_prof on Windows.
-@@ -4337,7 +4341,7 @@ v8_header_set("v8_internal_headers") {
+@@ -4542,7 +4542,7 @@ v8_header_set("v8_internal_headers") {
        # iOS Xcode simulator builds run on an x64 target. iOS and macOS are both
        # based on Darwin and thus POSIX-compliant to a similar degree.
        if (is_linux || is_chromeos || is_mac || is_ios ||
@@ -3508,7 +3626,7 @@ index 54b64cc2664..d7824649a1b 100644
          sources += [ "src/trap-handler/handler-inside-posix.h" ]
        } else if (is_win) {
          sources += [ "src/trap-handler/handler-inside-win.h" ]
-@@ -5667,7 +5671,7 @@ v8_source_set("v8_base_without_compiler") {
+@@ -5940,7 +5940,7 @@ v8_source_set("v8_base_without_compiler") {
        # iOS Xcode simulator builds run on an x64 target. iOS and macOS are both
        # based on Darwin and thus POSIX-compliant to a similar degree.
        if (is_linux || is_chromeos || is_mac || is_ios ||
@@ -3517,7 +3635,7 @@ index 54b64cc2664..d7824649a1b 100644
          sources += [
            "src/trap-handler/handler-inside-posix.cc",
            "src/trap-handler/handler-outside-posix.cc",
-@@ -6279,7 +6283,7 @@ v8_component("v8_libbase") {
+@@ -6590,7 +6590,7 @@ v8_component("v8_libbase") {
        "src/base/platform/platform-openbsd.cc",
      ]
      libs = [ "execinfo" ]
@@ -3527,10 +3645,10 @@ index 54b64cc2664..d7824649a1b 100644
        "src/base/debug/stack_trace_posix.cc",
        "src/base/platform/platform-freebsd.cc",
 diff --git v8/src/api/api.cc v8/src/api/api.cc
-index 9f74cd03940..f31ad24743b 100644
+index 013d4b1da3a3..b0b8e5a7dca7 100644
 --- v8/src/api/api.cc
 +++ v8/src/api/api.cc
-@@ -141,7 +141,8 @@
+@@ -148,7 +148,8 @@
  #include "src/wasm/wasm-serialization.h"
  #endif  // V8_ENABLE_WEBASSEMBLY
  
@@ -3540,7 +3658,7 @@ index 9f74cd03940..f31ad24743b 100644
  #include <signal.h>
  #include <unistd.h>
  
-@@ -6356,7 +6357,8 @@ bool v8::V8::Initialize(const int build_config) {
+@@ -6511,7 +6512,8 @@ bool v8::V8::Initialize(const int build_config) {
    return true;
  }
  
@@ -3551,7 +3669,7 @@ index 9f74cd03940..f31ad24743b 100644
                                     void* context) {
  #if V8_ENABLE_WEBASSEMBLY && V8_TRAP_HANDLER_SUPPORTED
 diff --git v8/src/base/platform/condition-variable.cc v8/src/base/platform/condition-variable.cc
-index b7b21c99473..5c74ff338b7 100644
+index 7c5d8f7f27a4..e90711a07a9b 100644
 --- v8/src/base/platform/condition-variable.cc
 +++ v8/src/base/platform/condition-variable.cc
 @@ -19,7 +19,7 @@ namespace base {
@@ -3573,7 +3691,7 @@ index b7b21c99473..5c74ff338b7 100644
    // On Free/Net/OpenBSD and Linux with glibc we can change the time
    // source for pthread_cond_timedwait() to use the monotonic clock.
 diff --git v8/src/base/platform/platform-freebsd.cc v8/src/base/platform/platform-freebsd.cc
-index d3f7c1bea46..a2134ed744f 100644
+index d80926acab0a..5e8b5bb7055b 100644
 --- v8/src/base/platform/platform-freebsd.cc
 +++ v8/src/base/platform/platform-freebsd.cc
 @@ -45,6 +45,7 @@ TimezoneCache* OS::CreateTimezoneCache() {
